Various icons don't have 48x48 nor scalable version (svg)

Bug #149047 reported by Milan Bouchet-Valat on 2007-10-04
114
This bug affects 11 people
Affects Status Importance Assigned to Milestone
human-icon-theme
Undecided
Unassigned
human-icon-theme (Ubuntu)
Undecided
Unassigned
Nominated for Karmic by Savvas Radevic

Bug Description

Binary package hint: human-icon-theme

Some categories or application have neither a 48x48 version nor a scalable one. This means that putting launchers to the Desktop, or using (for example) Avant Window Navigator's main menu, some icons are blurry (taken from 24x24). This is not critical but may only require to add some icon files from SVG.

These icons have this bug:
Categories: Sound and Video, Games, Images.
Applications: Nautilus, Tracker Search Tool, Synaptic, Software sources, Users and groups, Keyboard shortcuts, Appearance, and others maybe.

Other non-Human applications suffer from this too, which may need more work on separate packages.

jyk (jykaminski) wrote :

I confirm this bug. On my mind, this is quite annoying.

antistress (antistress) wrote :

nm-applet & OOo launcher in notification area, but also deskbar and gnome-volume-control are some of them

Changed in human-icon-theme:
importance: Undecided → Wishlist
status: New → Confirmed

This is similar as bug 84931. They are not duplicates, however.
That bug is requesting icons in the 16x16 size for specific icons.

If this bug is fixed, that one will be also automatically (in effect).

Peter Clifton (pcjc2) wrote :

As an example, my app (geda-xgsch2pcb), wishes to render a "gtk-new" stock icon at a large-ish size inside a GtkAssistant. With the Human icon theme, the assistant looks really poor (unappealing layout / visual appearance), since GTK's gtk_widget_render_icon () picks one of the smaller available icon sizes, and doesn't scale up. (If it did, then it would look blurry as the the original reporter showed).

The default size for GTK_ICON_SIZE_DIALOG is 48x48, so it would really be useful if some high-resolution, or scalable icons were produced in this theme.

Doughy (doughywilson) wrote :

The new version of gnome-do (0.8) is really nice. It just kills me when one of those blurry icons comes up on such an otherwise amazing looking application.

Glanthor (glanthor) wrote :

I confirm, too. I like the Human icon theme very much, but the low resoultion icons are really disappointing... There are more and more applications where 128x128 px icons are highly recommended, if one does not want to see interpolated blurry splotches.

What about running them through autotrace until they can be redrawn,
it does have SVG output.
There is also a special interpolation method that works better on game
sprites and icons, it may be used in mame or one of the other game
emulator projects, but I can recall a more precice reference for you
at the moment.

On Mon, Apr 6, 2009 at 6:03 AM, Glanthor <email address hidden> wrote:
> I confirm, too. I like the Human icon theme very much, but the low
> resoultion icons are really disappointing... There are more and more
> applications where 128x128 px icons are highly recommended, if one does
> not want to see interpolated blurry splotches.
>
> --
> Various icons don't have 48x48 nor scalable version
> https://bugs.launchpad.net/bugs/149047
> You received this bug notification because you are a member of Ubuntu
> Artwork Team, which is a direct subscriber.
>

This problem exists for me at 1680x1050 resolution in Jaunty.

I'm attaching a compilation of three screen shots to show:
1. the initial window has this problem.
2. There can be fuzzy and "clear" icons displayed at the same time (nice for comparing and seeing that it's not just your eyes that are getting old).
3. Some icons are properly sized (both sides look right)

Ben Crisford (bencrisford) wrote :

This is a shame :/.

I'm sure it can be fixed by final release, they just need to be vector'd.

If I had the tools on this computer I would submit some "fixed" icons, but I don't have the tools at home...

EmmaJane (emmajane) wrote :

Going into /usr/share/icons/Human/scalable has also found the following .svg files are NOT properly scaling:

/usr/share/icons/Human/scalable/actions/view-refresh.svg
/usr/share/icons/Human/scalable/actions/media-eject.svg
/usr/share/icons/Human/scalable/apps/evolution.svg
/usr/share/icons/Human/scalable/apps/system-users.svg
/usr/share/icons/Human/scalable/devices/computer.svg
/usr/share/icons/Human/scalable/devices/gnome-dev-unknown-usb.svg
/usr/share/icons/Human/scalable/devices/gnome-dev-unknown-1394.svg
/usr/share/icons/Human/scalable/devices/network-wired.svg
*all* .svg files in scalable/emblems
*all* grayscale .svg files in scalable/status

The other icons that I found fuzzy in GNOME Do (e.g. the pidgin icon) do not appear to be part of the Human theme at all.

If there are vector (SVG) and bitmap versions of an icon available
then the vector version should be selected, but I don t know what rule
is used to ensure this. The other issue is that the vector data needs
to be scaled and rasterised for display at the correct size, so things
could be going wrong in more than one place. My *guess* is that the
wrong version is being selected, however I don t have enough knowledge
of the inner workings of gnome to be sure.

On Mon, Apr 13, 2009 at 4:54 AM, EmmaJane <email address hidden> wrote:
> Going into /usr/share/icons/Human/scalable has also found the following
> .svg files are NOT properly scaling:
>
> /usr/share/icons/Human/scalable/actions/view-refresh.svg
> /usr/share/icons/Human/scalable/actions/media-eject.svg
> /usr/share/icons/Human/scalable/apps/evolution.svg
> /usr/share/icons/Human/scalable/apps/system-users.svg
> /usr/share/icons/Human/scalable/devices/computer.svg
> /usr/share/icons/Human/scalable/devices/gnome-dev-unknown-usb.svg
> /usr/share/icons/Human/scalable/devices/gnome-dev-unknown-1394.svg
> /usr/share/icons/Human/scalable/devices/network-wired.svg
> *all* .svg files in scalable/emblems
> *all* grayscale .svg files in scalable/status
>
> The other icons that I found fuzzy in GNOME Do (e.g. the pidgin icon) do
> not appear to be part of the Human theme at all.
>
> --
> Various icons don't have 48x48 nor scalable version
> https://bugs.launchpad.net/bugs/149047
> You received this bug notification because you are a member of Ubuntu
> Artwork Team, which is a direct subscriber.
>

I've been bugged by this issue since I started using GNOME Do. It exposes the incomplete-ness of icon themes. hehe.

It's a shame that one man's GNOME Colors icon theme is more complete than the Human Icon theme.

Another quick fix is to have Gnome Do use the best icon it can find
and not use a full set from any given theme. i.e. Look for the svg
file in the chosen theme, but if it can't find one then look for a svg
icon file from another.

On Mon, Apr 13, 2009 at 8:16 AM, Allan Caeg <email address hidden> wrote:
> I've been bugged by this issue since I started using GNOME Do. It
> exposes the incomplete-ness of icon themes. hehe.
>
> It's a shame that one man's GNOME Colors icon theme is more complete
> than the Human Icon theme.
>
> --
> Various icons don't have 48x48 nor scalable version
> https://bugs.launchpad.net/bugs/149047
> You received this bug notification because you are a member of Ubuntu
> Artwork Team, which is a direct subscriber.
>

Same here, pretty annoying when using gnome-do on a lovely 22" Full HD screen.

Pander (pander) wrote :

Compiz static application switcher is very ugly when no scalable icons are present, see attached screen shot. Providing scalable icons for (at least most of the popular applications) and having package managers requesting upstream for scalable icons, will improve user user experience.

Pander (pander) wrote :

Note, not only should these icons be available, they should also be used in the GNOME launchers.

Savvas Radevic (medigeek) wrote :

Problem with system-search icon (no 48x48) for gnote:
http://bugzilla.gnome.org/show_bug.cgi?id=583614

Savvas Radevic (medigeek) wrote :

system-search.svg attached

Source:
system-config-users.svg (human icon theme) + modified system-search.svg (tango icon library)

Christian Hammond (chipx86) wrote :

I'd like to add three icons to this list that are causing a lot of headaches for me right now.

The Open and Save/Save As icons are not available in any sizes larger than 24x24. This is breaking things for us in VMware Player, as we need larger versions of these icons. Every other major icon theme we're testing looks great, except for Human.

It's too late for our release to do much about this now, so it's just probably going to look bad on Ubuntu out of the box, but hopefully future versions of Human will look better.

Changed in human-icon-theme:
status: New → Confirmed
tags: added: needs-artwork
Savvas Radevic (medigeek) wrote :

document-open.svg

Sources:
from gnome:
- scalable/actions/document-new.svg
from Human:
- status/folder-drag-accept.svg

Savvas Radevic (medigeek) wrote :

document-save.svg

Source from Human:
- devices/gnome-dev-floppy.svg

I changed the colours a bit and make the outline bigger, although it's not an exact replica, it's pretty close to the 16x16 icons

Savvas Radevic (medigeek) wrote :

Sources:
- Human/scalable/devices/gnome-dev-floppy.svg
- gnome/scalable/apps/accessories-text-editor.svg

Savvas Radevic (medigeek) wrote :

These are the missing SVGs:

cd /usr/share/icons/Human
for i in `find 16x16/ -type f | sed -e 's/16x16/scalable/' -e 's/\.png$/\.svg/'`; do
  if [ ! -f $i ]; then
    echo "Missing: $i"
  fi
done

Missing: scalable/actions/application-exit.svg
Missing: scalable/actions/gtk-about.svg
Missing: scalable/actions/bookmark-new.svg
Missing: scalable/actions/document-properties.svg
Missing: scalable/actions/system-search.svg
Missing: scalable/actions/document-save.svg
Missing: scalable/actions/document-new.svg
Missing: scalable/actions/edit-find-replace.svg
Missing: scalable/actions/edit-find.svg
Missing: scalable/actions/document-print.svg
Missing: scalable/actions/document-save-as.svg
Missing: scalable/actions/dialog-apply.svg
Missing: scalable/actions/document-open.svg
Missing: scalable/actions/system-lock-screen.svg
Missing: scalable/actions/folder-new.svg
Missing: scalable/emblems/emblem-desktop.svg
Missing: scalable/places/network-workgroup.svg
Missing: scalable/places/folder-saved-search.svg
Missing: scalable/places/user-desktop.svg
Missing: scalable/places/network-server.svg
Missing: scalable/apps/system-file-manager.svg
Missing: scalable/status/network-wired.svg
Missing: scalable/status/folder-open.svg
Missing: scalable/status/audio-volume-low.svg
Missing: scalable/status/audio-volume-medium.svg
Missing: scalable/status/audio-volume-muted.svg
Missing: scalable/status/image-loading.svg
Missing: scalable/status/folder-visiting.svg
Missing: scalable/status/audio-volume-high.svg
Missing: scalable/status/dialog-information.svg
Missing: scalable/stock/generic/gtk-close.svg
Missing: scalable/stock/generic/stock_folder-move.svg
Missing: scalable/stock/generic/stock_folder-copy.svg
Missing: scalable/stock/generic/stock_exit.svg
Missing: scalable/filesystems/gnome-fs-web.svg

Savvas Radevic (medigeek) wrote :

I've subscribed kwwii (and dropped him an informative email) to take a look at this matter and shed some light. :)

summary: - Various icons don't have 48x48 nor scalable version
+ Various icons don't have 48x48 nor scalable version (svg)
Someone561 (someone561) wrote :

Savvas, maybe you should branch https://code.launchpad.net/~ubuntu-art-pkg/human-icon-theme/ubuntu, insert your icons and then request a merge of your changes.

That's my plan actually! I just wanted to modify/create more svg
icons. The list of missing svg's is still big! (check the README file)
I'll create a branch later!

Kenneth Wimer (kwwii) wrote :

One thing that is important to keep in mind is that the Human set purposely does not include icons for applications (well, it does have a couple).

That said, I think this is a great idea and would love to help you get your work into the theme.

onox (onox) wrote :

The human theme only has notification-audio-volume-*.svg icons. It should also have audio-volume-*.svg icons. Other themes have these too and without it the icon of volume-control applet in Awn looks ugly. Make copies or use symlinks to fix this please.

Savvas Radevic (medigeek) wrote :

I think this bug can be closed, since Humanity icon theme is the new default from ubuntu 9.10 onwards. I am happy with the new icon theme, I think there are no icons missing.
However, if anyone wishes to continue this attempt to make the old human icon theme in svg, please do so! :)

Kenneth Wimer (kwwii) on 2010-02-27
Changed in human-icon-theme:
status: Confirmed → Won't Fix
Changed in human-icon-theme (Ubuntu):
status: Confirmed → Won't Fix
importance: Wishlist → Undecided
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.